---
install:
    ## don't use this technique, 
    ## because manually unsetting installations, 
    ## doesn't prevent boot loops or install loops
    ## set install to false to prevent unknown clients from getting installed 
    #install: false

    # set unsetInstallWhenSuccessfullyInstalled to true 
    # to unset client install after successfull installation 
    # and prevent boot loops or install loops therefor
    unsetInstallWhenSuccessfullyInstalled: true

    # instsshd:
    # useful for debugging
    # enable ssh during installation 
    # requires a valid initialPwHash 
    #   which's password can be used to log in as root 
    #   during kickstart installation
    instSshd: false

    # standard ssl settings
    noVerifySSL: false

OS:
    # standard OS name settings
    # name: oracle centos rockylinux rhel debian ubuntu
    # ver: version of OS.name
    # arch: x86_64 amd64 for deb based probably,uname -m on redhat clones i386 arm
    name: 'debian'
    ver: 'bullseye'
    installerVer: 'bullseye'
    arch: 'amd64'


boot:
    # bootloader
    bootLoaderLocation: 'mbr'
    quietBoot: false
    graphicalBoot: false

    # standard serial console settings
    useSerialConsole: true
    serialConsolePort: 1
    serialConsolePortSpeed: 115200

    # kernelbootoptions
    kernelBootOptions: ''


locales:
    # standard locale settings
    lang: 'en_US.UTF-8'
    keyb: 'us'
    # timezone
    timeZone: 'Europe/Vienna'

auth:
    # authentication
    initialPwHash: '$6$Vyu7MUvSpK4diOR5$k9xV30KX8usGRjgGRqTT5dqle5hZJWY6tz2/pJp5FJcAYSmDxtUzUrSA6bYhaOQtPCHlmvzI82SSgYtkfyK/u1'
    initialPwPbkdf2: 'grub.pbkdf2.sha512.10000.8E79ACC010575754F377D0ACF35BA75BE36D84AE654EFA4DA98D07133C4EFF2DB794288BCB5CEC9619F0730CD0A1C392EE9F85E4C41DB0825E87A79B9A41C2BA.56FE172E97188A26468E0A5AC2A5A6E1FA7904B783FD6C9BFA5D7D67442E54AB517682DCFACEDC5420E337B42B3EEA367CF233D3E755488EB37F93A75F5B4510'
    initialPw: 'hoonetorg'
    keypartition: 'LABEL=keys'
    lukskeyfile: '/keyfile'

network:
    # disable ipv6 on target machine
    ipv6Disable: false

    # disable consistent network device naming 
    # f.e. eth0 instead of em0 or en0p1
    disableConsistentNetworkDeviceNaming: false

security:
    # firewallconfig
    firewall: true
    firewallService: 'ssh'
    firewallPort: []

    # selinuxconfig
    selinux: 'enforcing'

services:
    servicesDisabled: []
    servicesEnabled: 
        - 'sshd'
        - 'chronyd'


# CLASSES
storage:
    class: 'sdEfiEncr'
    installDisks:
        - name: 'sda'
        #- name: '/dev/disk/by-path/pci-disk1'
        #- name: '/dev/disk/by-path/pci-disk2'
        #- name: '/dev/disk/by-path/pci-disk3'
        #- name: '/dev/disk/by-path/pci-disk4'
    partInitial: false
repo:
    classes:
        - 'local'
        - 'salt'

software:
    classes:
        - 'local'
        - 'salt'

pre:
    classes:
        - 'certificates'
        - 'ssh'

post:
    classes:
        - 'local'
        - 'salt'
        - 'ssh'
